Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class NamespaceWalker

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.AxesWalker
                        |
                        +--org.apache.xpath.axes.NamespaceWalker

public class NamespaceWalker
extends AxesWalker

Walker for the 'namespace' axes.

See Also:
  XPath axes descriptions

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`NamespaceWalker(LocPathIterator locPathIterator)` Construct an NamespaceWalker using a LocPathIterator.

Method Summary
`java.lang.Object` | `clone()` Get a cloned AxesWalker.
`Node` | `firstChild()` Moves the `TreeWalker` to the first visible child of the current node, and returns the new node.
`Node` | `nextSibling()` Moves the `TreeWalker` to the next sibling of the current node, and returns the new node.
`void` | `setRoot(Node root)` Set the root node of the TreeWalker.

Methods inherited from class org.apache.xpath.axes.AxesWalker
`acceptNode, getCurrentNode, getExpandEntityReferences, getFilter, getLastPos, getLocPathIterator, getNextWalker, getPredicateCount, getPredicateIndex, getPrevWalker, getProximityPosition, getProximityPosition, getRoot, init, initProximityPosition, isReverseAxes, lastChild, nextNode, parentNode, previousNode, previousSibling, reset, resetProximityPositions, setCurrentNode, setLocPathIterator, setNextWalker, setPredicateCount, setPrevWalker, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceWalker

    public NamespaceWalker(LocPathIterator locPathIterator)

  Construct an NamespaceWalker using a LocPathIterator.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Get a cloned AxesWalker.
  Overrides:
    clone in class AxesWalker

### setRoot

    public void setRoot(Node root)

  Set the root node of the TreeWalker.
  Overrides:
    setRoot in class AxesWalker

### firstChild

    public Node firstChild()

  Moves the `TreeWalker` to the first visible child of the current node, and returns the new node. If the current node has no visible children, returns `null` , and retains the current node.
  Returns:
    The new node, or `null` if the current node has no visible children in the TreeWalker's logical view.
  Overrides:
    firstChild in class AxesWalker

### nextSibling

    public Node nextSibling()

  Moves the `TreeWalker` to the next sibling of the current node, and returns the new node. If the current node has no visible next sibling, returns `null` , and retains the current node.
  Returns:
    The new node, or `null` if the current node has no next sibling in the TreeWalker's logical view.
  Overrides:
    nextSibling in class AxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.